Zum Inhalt springen
AchaduDevelopers
Developers/API/store_update
Speichern

Store aktualisieren

Aktualisiert die Identität, das Thema, die Netzwerke und den Datenschutz.

PATCH/storestore:write

Anfrage

namestring · bodyShopname.optional
taglinestring · bodyHauptsatz.optional
logostring · bodyLogo-URL.optional
coverstring · bodyCover-URL.optional
faviconstring · bodySymbol-URL.optional
aboutstring · bodyBeschreibung des Shops.optional
themeobject · bodyVisuelle Token.optional
socialobject · bodySoziale Links.optional
privacyobject · bodyÖffentliche Vorlieben.optional
badgeboolean · bodyZeigt Siegel an.optional
activeboolean · bodyVeröffentlichen Sie den Shop.optional

Beispiel

curl
curl -X PATCH 'https://achadu.com/api/v1/store' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "tagline": "string",
  "logo": "https://cdn.example.com/image.jpg"
}'

Antwort

200Vorgang abgeschlossen
4xxFehler mit Code, Nachricht und request_id